## org.eclipse.datatools.connectivity.oda.design
Interface ResultSetDefinition

public interface ResultSetDefinition

Definition of a single homogeneous result set returned by a data set query.

The following features are supported:

- `Name`
- `Result Set Columns`

See Also:
  `DesignPackage.getResultSetDefinition()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`ResultSetColumns` `getResultSetColumns()` Returns the value of the 'Result Set Columns' containment reference.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` `setResultSetColumns(ResultSetColumns value)` Sets the value of the '`Result Set Columns`' containment reference.

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Returns the value of the 'Name' attribute. A name that uniquely identifies a result set at runtime. If not specified, a result set is identified by its sequence in the resultSetDefinitions.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DesignPackage.getResultSetDefinition_Name()`

### setName

    public void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getResultSetColumns

    public ResultSetColumns getResultSetColumns()

  Returns the value of the 'Result Set Columns' containment reference. Collection of data columns for this result set.

  Returns:
    the value of the 'Result Set Columns' containment reference.
  See Also:
    `setResultSetColumns(ResultSetColumns)`, `DesignPackage.getResultSetDefinition_ResultSetColumns()`

### setResultSetColumns

    public void setResultSetColumns(ResultSetColumns value)

  Sets the value of the '`Result Set Columns`' containment reference.

  Parameters:
    `value` - the new value of the 'Result Set Columns' containment reference.
  See Also:
    `getResultSetColumns()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.